org.eclipse.wst.jsdt.chromium.debug.core

## Class FilePropertyTester

- java.lang.Object
- - PropertyTester
  - - org.eclipse.wst.jsdt.chromium.debug.core.FilePropertyTester

Direct Known Subclasses:
  FileEditorInputPropertyTester, FilePropertyTester.ForFile

    public abstract class FilePropertyTester
    extends PropertyTester

Implementation of additional properties for files that are JavaScript sources.

### Nested Class Summary

Nested Classes
`static class` `FilePropertyTester.ForFile`

### Constructor Summary

Constructors
Constructor and Description
`FilePropertyTester()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract IFile` `extractFile(java.lang.Object receiver)`
`boolean` `test(java.lang.Object receiver, java.lang.String property, java.lang.Object[] args, java.lang.Object expectedValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilePropertyTester

    public FilePropertyTester()

### Method Detail

#### test

    public boolean test(java.lang.Object receiver,
                        java.lang.String property,
                        java.lang.Object[] args,
                        java.lang.Object expectedValue)

#### extractFile

    protected abstract IFile extractFile(java.lang.Object receiver)